sympa(8)

NAME
sympa (or sympa.pl) - A Modern Mailing List Manager

SYNOPSIS
sympa [ -d, --debug ] [ -f, --file=another.sympa.conf ]
      [ -k, --keepcopy=directory ]
      [ -l, --lang=catalog ] [ -m, --mail ]
      [ -h, --help ] [ -v, --version ]

      [ --import=listname ] [ --close_list=list[@robot]]
      [ --lowercase ] [ --make_alias_file ]
      [ --dump=listname | ALL]

DESCRIPTION
Sympa is scalable and highly customizable mailing list manager. It can cope with big lists (200,000 subscribers) and comes with a complete (user and admin) Web interface. It is internationalized, and supports the us, fr, de, es, it, fi, and chinese locales. A scripting language allows you to extend the behavior of commands. Sympa can be linked to an LDAP directory or an RDBMS to create dynamic mailing lists. Sympa provides S/MIME and HTTPS based authentication and encryption. Sympa is a modern mailing-list manager. It supports a lot of useful features.

OPTIONS

-d, --debug
    Enable debug mode.

-f, --file=another.sympa.conf
    Force Sympa to use an alternative configuration file instead of /etc/sympa/sympa.conf.

-k, --keepcopy=directory
    This option tells Sympa to keep a copy of every incoming message, instead of deleting them. `directory' is the directory to store messages.

-l, --lang=catalog
    Set this option to use a language catalog for Sympa. The corresponding catalog file `catalogue'.cat must be located in /usr/lib/sympa/nls directory.

-m, --mail
    Sympa will log calls to sendmail, including recipients. This option is useful for keeping track of each mail sent (log files may grow faster though).

-h, --help
    Print this help message.

-v, --version
    Print the version number.

    With the following options sympa.pl will run in batch mode :

--import=list
    Import subscribers in the list. Data are read from STDIN. The imported data should contain one entry per line : the first field is an email address, the second (optional) field is the free form name. Fields are spaces-separated.

    Sample :

        ## Data to be imported
        ## email        gecos
        john.steward@some.company.com           John - accountant
        mary.blacksmith@another.company.com     Mary - secretary

--close_list=list[@robot]
    Close the list (changing its status to closed), remove aliases and remove subscribers from DB (a dump is created in the list directory to allow restoring the list)

--lowercase
    Lowercases email addresses in database.

--make_alias_file
    Create an aliases file in /tmp/ with all list aliases. It uses the list_aliases.tpl template.

--dump=listname | ALL
    Dumps subscribers of for `listname' list or all lists. Subscribers are dumped in subscribers.db.dump.

FILES
/etc/sympa/sympa.conf main configuration file.

/var/spool/sympa/sympa.pid this file contains the process ID of sympa.pl.

AVAILABILITY
Latest version of Sympa is available from http://www.sympa.org.

MORE DOCUMENTATION
The full documentation in HTML and PostScript formats can be found in /usr/share/doc/sympa/html/.

The mailing lists (with web archives) can be accessed at http://listes.cru.fr/wws/lists/informatique/sympa.

AUTHORS
Serge Aumont
     Comité Réseau des Universités

Olivier Salaün
     Comité Réseau des Universités

Contact authors at <sympa-authors@cru.fr>

COPYRIGHT
Copyright © 1997,1998,1999,2000,2001 Comité Réseau des Universités

Copyright © 1997,1998,1999 Institut Pasteur & Christophe Wolfhugel

You may distribute this software under the terms of the GNU General Public License Version 2 (http://www.gnu.org/copyleft/gpl.html)

BUGS
Report bugs to <sympa-dev@cru.fr>.

SEE ALSO
sympa.conf(5), archived(8), bounced(8), sendmail(8), alias_manager(8)